package com.gx.obe.step.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.business.entity.EvaluationStepFactor;
import com.gx.obe.web.service.evaluation.EvaluationStepFactorService;
import com.gx.obe.web.utils.ObeHttpUtils;

public class StepFactorService extends EvaluationStepFactorService {
	
	/**
	 * @Description: 根据指标评审类型获取步骤关联指标信息列表
	 * @author chenxw
	 * @param tenderId
	 * @param stepId
	 * @return
	 */
	public static List<EvaluationStepFactor> getListByAuditType(String tenderId, String auditType) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("auditType", auditType);
		return ObeHttpUtils.getList(URL.concat("/getListByAuditType"), param, EvaluationStepFactor.class);
	}
	
}
